• Register
Welcome to Kodlogs, programming questions and answer website.
0 votes
11 views

Problem:

I have project which was built in .NET framework 4.0 and i have upgrade the project, but after i tried to run in the environment i saw it did not had 4.0, so i did downgrade to v3.5 and i have this bug:

Could not load file or assembly 'zzz_DLL' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded. 

Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code. 

Exception Details: System.BadImageFormatException: Could not load file or assembly 'Xxxxx_DLL' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.

Please guide me to sort this issue out.

by (330 points)  
edited by

1 Answer

0 votes

Solution:

You have to keep both application and server environment to same framework ie 4.0 or 3.5

You either upgrade or downgrade.

by (1.4k points)  
...